<div class="app-container mat-typography">
  <app-menu></app-menu>
  <app-loading-indicator
    [loaded]="(annotationLoaded$|async)"
    message="Annotations are loading...">
  </app-loading-indicator>
  <svm-slide-viewer
    [selectedSlideId]="(selectedSlideId$|async)"
    [slide]="(slide$|async)"
    [annotationIds]="(annotationIds$|async)"
    [annotations]="(annotations$|async)"
    [annotationCentroidsForClustering]="(centroids$|async)"
    [clusterDistance]="CLUSTER_DISTANCE"
    [removeAnnotations]="(removeAnnotations$|async)"
    [clearAnnotations]="(clearAnnotations$|async)"
    [uiConfig]="uiConfig"
    [hideAnnotationIds]="(hiddenAnnotationIds$|async)"
    [focusAnnotation]="(focusAnnotation$|async)"
    [interactionType]="(selectedInteractionType$|async)"
    [allowedInteractionTypes]="(allowedInteractionTypes$|async)"
    [allAnnotationClasses]="(allClassEntities$|async)"
    (doubleClicked)="toggleMenuVisibility()"
    (requestAnnotations)="requestAnnotations($event)"
    (slideMoveEnd)="onViewerMoveEnd($event)"
    (annotationAdded)="onAnnotationCreated($event)"
    (annotationClassColors)="onAnnotationClassColorsChanged($event)">
  </svm-slide-viewer>
</div>
